<script lang="typescript">
  import { onMount } from "svelte";
  import { verifyAuthAPI } from "./apis/verify-auth";
  import ListUser from "./components/list-user/ListUser.svelte";
  import Login from "./components/login/Login.svelte";
  import Dashboard from "./components/dashboard/Dashboard.svelte";
  import { Page } from "./page";
  import {
    isAuthSuccess,
    pageSelectedStore,
    showLazyLoading,
    userProfileStore,
  } from "./store";
  import LazyLoading from "./widgets/LazyLoading.svelte";
  import Slidebar from "./components/slidebar/Slidebar.svelte";
  import ProductManage from "./components/product/ProductManage.svelte";
  import ProductList from "./components/product/ProductList.svelte";
  import BillOrderList from "./components/bill-order/BillOrderList.svelte";
  import SalesChartReport from "./components/report/SalesChartReport.svelte";
  import UsertChartReport from "./components/report/UsertChartReport.svelte";
  import ManageProductTypeGroup from "./components/manage-group-type-product/ManageProductTypeGroup.svelte";

  onMount(() => {
    verifyAuthAPI().then(() => {
      if ($userProfileStore.username) {
        $pageSelectedStore = Page["DASHBOARD"];
      } else {
        $pageSelectedStore = Page["LOGIN"];
      }
    });
  });
</script>

<div class="flex items-start justify-between w-full">
  <LazyLoading isShow={$showLazyLoading} />
  <div class="flex flex-col w-full h-screen">
    {#if $isAuthSuccess}
      <div class="relative md:ml-64 bg-blueGray-100">
        <Slidebar />
        {#if $pageSelectedStore == Page["DASHBOARD"]}
          <Dashboard />
        {:else if $pageSelectedStore == Page["SALES_REPORT"]}
          <SalesChartReport />
        {:else if $pageSelectedStore == Page["USERS_REPORT"]}
          <UsertChartReport />
        {:else if $pageSelectedStore == Page["PRODUCT_MANAGE"]}
          <ProductManage />
        {:else if $pageSelectedStore == Page["PRODUCT_LIST"]}
          <ProductList />
        {:else if $pageSelectedStore == Page["PRODUCT_GROUP_TYPE"]}
          <ManageProductTypeGroup />
        {:else if $pageSelectedStore == Page["USERLIST"]}
          <ListUser />
        {:else if $pageSelectedStore == Page["BILL_ORDER"]}
          <BillOrderList />
        {/if}
      </div>
    {:else}
      <Login />
    {/if}
  </div>
</div>
<!-- <Footer /> -->
